#ifndef ROOT_Event
#define ROOT_Event

//////////////////////////////////////////////////////////////////////////
//                                                                      //
// Event                                                                //
//                                                                      //
// Description of the event                                             //
//                                                                      //
//////////////////////////////////////////////////////////////////////////

#include "TObject.h"

class TDirectory;

class Event : public TObject {

private:
    int       fiEvent ;           // event number     
    float     feTrue ; // true energy
    float     feReco ; // reconstructed energy

public:
    Event();  // constructor
    virtual ~Event(); // destructor
    void	build(int ev); // initialize

  // setters
   void	seteTrue(float e) { feTrue = e ; }
   void	seteReco(float e) { feReco = e ; }

// getters
   float eTrue () const { return feTrue ; }
   float eReco () const { return feReco ; }

// technical (ignore)
   ClassDef(Event,1)  //Event structure
};



#endif
